XKBCLI-COMPILE-KEYMAP(1)

NAME
xkbcli compile-keymap - compile an XKB keymap

SYNOPSIS
xkbcli compile-keymap [options]

DESCRIPTION
xkbcli compile-keymap compiles and prints a keymap based on the given options.

--help
    Print help and exit

--verbose
    Enable verbose debugging output

--rmlvo
    Print the full RMLVO with the defaults filled in for missing elements

--from-xkb
    Load the XKB file from stdin, ignore RMLVO options. This option must not be used with --kccgst.

--include PATH
    Add the given path to the include path list. This option is order-dependent, include paths given first are searched first. If an include path is given, the default include path list is not used. Use ---include-defaults to add the default include paths.

--include-defaults
    Add the default set of include directories. This option is order-dependent, include paths given first are searched first.

--rules rules
    The XKB ruleset

--model model
    The XKB model

--layout layout
    The XKB layout

--variant variant
    The XKB layout variant

--options options
    The XKB options

SEE ALSO
xkbcli(1), The libxkbcommon online documentation: https://xkbcommon.org